Author Topic: net 4.6 and substance plugin  (Read 2209 times)

I see the next warning appeared in the Substance Plugin page:

IMPORTANT: The 2.1.0 release requires the scripting runtime to be set to .NET 3.5. Using .NET 4 is not supported in this release.

So will 2.2 plugin support Net 4.6? Because there is no reason to use 3.5 in Unity 2018 and it even deprecated in 2018.3

I see the next warning appeared in the Substance Plugin page:

IMPORTANT: The 2.1.0 release requires the scripting runtime to be set to .NET 3.5. Using .NET 4 is not supported in this release.

So will 2.2 plugin support Net 4.6? Because there is no reason to use 3.5 in Unity 2018 and it even deprecated in 2018.3

Hey @Arugin ,

Yes, with 2.2 we will support .Net 4.6. :)

Great news, thanks

I see the next warning appeared in the Substance Plugin page:

IMPORTANT: The 2.1.0 release requires the scripting runtime to be set to .NET 3.5. Using .NET 4 is not supported in this release.

So will 2.2 plugin support Net 4.6? Because there is no reason to use 3.5 in Unity 2018 and it even deprecated in 2018.3


Hey @Arugin ,

Yes, with 2.2 we will support .Net 4.6. :)

Hello,

When can we expect 2.2 release? Do you have an internal copy that I can use?

I see the next warning appeared in the Substance Plugin page:

IMPORTANT: The 2.1.0 release requires the scripting runtime to be set to .NET 3.5. Using .NET 4 is not supported in this release.

So will 2.2 plugin support Net 4.6? Because there is no reason to use 3.5 in Unity 2018 and it even deprecated in 2018.3


Hey @Arugin ,

Yes, with 2.2 we will support .Net 4.6. :)

Hello,

When can we expect 2.2 release? Do you have an internal copy that I can use?

We don't have an ETA on the release date for 2.2 yet. We should  be able to share more info later this month.

Cheers,
Wes
Head of Substance Demo Art Team
the3dninja@adobe.com
Twitter: The3DNinja

Could you please consider to open source code of Substance integration? Why UE integration is open. but Unity is not? We could fix these issues and don't be angry and frustrated. Now we could do literaly nothing. Please, please, please.

Could you please consider to open source code of Substance integration? Why UE integration is open. but Unity is not? We could fix these issues and don't be angry and frustrated. Now we could do literaly nothing. Please, please, please.

We are going to do this. It's very much needed and it's something we will address as soon as we get the plugin code at a state we can open it. We are making lots of changes between sprints and having the code open would most likely further frustrate users. Once we move out of beta phase for the plugin, we are discussing ways to provide the source code as we do for UE4.

Cheers,
Wes
Head of Substance Demo Art Team
the3dninja@adobe.com
Twitter: The3DNinja

This is great news, thank you, Wes.

This is great news, thank you, Wes.

You are most welcome! Thank you for your support and patience : )

Cheers,
Wes
Head of Substance Demo Art Team
the3dninja@adobe.com
Twitter: The3DNinja